# OrderProposals

Bestellvorschläge

## GET /erp/order-proposals/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}":{"get":{"tags":["OrderProposals"],"summary":"Find an existing Resource by identifier","operationId":"getById_32","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"givenSupplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierPreference":{"type":"string","description":"Bevorzugte Lieferantenfindung","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Bevorzugte Bedarfsermittlung","enum":["REORDER_POINT","SALES"]},"recognizeStock":{"type":"boolean","default":false,"description":"Soll Lagerbestand zur Bestellmenge addiert werden"},"recognizeReservations":{"type":"boolean","default":false,"description":"Soll reservierter Lagerbestand zur Bestellmenge addiert werden"},"recognizeOrders":{"type":"boolean","default":false,"description":"Soll bestellter Lagerbestand von Bestellmenge abgezogen werden"},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Artikel mit Bedarfsermittlung nur auf Reservierungsbasis berücksichtigen"},"onlyPrePaymentReservations":{"type":"boolean","default":false,"description":"Nur Vorkasse-Reservierungen beachtet"},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Stichtag-Einschränkung für die Reservierungsberücksichtigung in Tagen"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"processed":{"type":"boolean","default":false,"description":"Wurde der Bestellvorschlag verarbeitet"},"orderProposalSuppliers":{"type":"array","description":"Bestellvorschlag-Lieferanten-Beziehungen","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":["needsAssessmentPreference","supplierPreference"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/order-proposals/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}":{"put":{"tags":["OrderProposals"],"summary":"Update existing Resource ","operationId":"update_32","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"givenSupplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierPreference":{"type":"string","description":"Bevorzugte Lieferantenfindung","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Bevorzugte Bedarfsermittlung","enum":["REORDER_POINT","SALES"]},"recognizeStock":{"type":"boolean","default":false,"description":"Soll Lagerbestand zur Bestellmenge addiert werden"},"recognizeReservations":{"type":"boolean","default":false,"description":"Soll reservierter Lagerbestand zur Bestellmenge addiert werden"},"recognizeOrders":{"type":"boolean","default":false,"description":"Soll bestellter Lagerbestand von Bestellmenge abgezogen werden"},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Artikel mit Bedarfsermittlung nur auf Reservierungsbasis berücksichtigen"},"onlyPrePaymentReservations":{"type":"boolean","default":false,"description":"Nur Vorkasse-Reservierungen beachtet"},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Stichtag-Einschränkung für die Reservierungsberücksichtigung in Tagen"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"processed":{"type":"boolean","default":false,"description":"Wurde der Bestellvorschlag verarbeitet"},"orderProposalSuppliers":{"type":"array","description":"Bestellvorschlag-Lieferanten-Beziehungen","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":["needsAssessmentPreference","supplierPreference"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /erp/order-proposals/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}":{"delete":{"tags":["OrderProposals"],"summary":"Delete an existing Resource","operationId":"delete_29","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}":{"put":{"tags":["OrderProposals"],"operationId":"updateOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-line-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalLine":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"orderProposalId":{"type":"string","description":"Bestellvorschlag","readOnly":true},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"proposedOrderAmount":{"type":"number","description":"vorgeschlagene zu bestellende Menge"},"toBeOrderedAmount":{"type":"number","description":"tatsächlich zu bestellende Menge"},"priceTotal":{"type":"number","description":"kalkulierter Gesamtpreis","readOnly":true},"productPrices":{"type":"array","description":"Lieferanten-Preise","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"productDiscounts":{"type":"array","description":"Lieferanten-Preisregeln","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"},"readOnly":true},"determinedUnitPrice":{"type":"number","description":"ermittelter Einzelpreis","readOnly":true},"negotiatedUnitPrice":{"type":"number","description":"verhandelter Einzelpreis"},"totalPrice":{"type":"number","description":"Gesamtpreis","readOnly":true},"deliveryTime":{"type":"integer","format":"int32","description":"Lieferzeit","readOnly":true},"orderDocumentLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"toBeOrdered":{"type":"boolean"}},"required":["articleRef","proposedOrderAmount","supplierAccountRef","toBeOrderedAmount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}},"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}}}}}
```

## DELETE /erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposals/{order-proposal-line-id}":{"delete":{"tags":["OrderProposals"],"operationId":"removeOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-line-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}":{"put":{"tags":["OrderProposals"],"operationId":"updateOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]}}}}
```

## DELETE /erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers/{order-proposal-supplier-id}":{"delete":{"tags":["OrderProposals"],"operationId":"removeOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"order-proposal-supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/order-proposals

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals":{"post":{"tags":["OrderProposals"],"summary":"Create new Resource","operationId":"create_30","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"givenSupplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierPreference":{"type":"string","description":"Bevorzugte Lieferantenfindung","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Bevorzugte Bedarfsermittlung","enum":["REORDER_POINT","SALES"]},"recognizeStock":{"type":"boolean","default":false,"description":"Soll Lagerbestand zur Bestellmenge addiert werden"},"recognizeReservations":{"type":"boolean","default":false,"description":"Soll reservierter Lagerbestand zur Bestellmenge addiert werden"},"recognizeOrders":{"type":"boolean","default":false,"description":"Soll bestellter Lagerbestand von Bestellmenge abgezogen werden"},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Artikel mit Bedarfsermittlung nur auf Reservierungsbasis berücksichtigen"},"onlyPrePaymentReservations":{"type":"boolean","default":false,"description":"Nur Vorkasse-Reservierungen beachtet"},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Stichtag-Einschränkung für die Reservierungsberücksichtigung in Tagen"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"processed":{"type":"boolean","default":false,"description":"Wurde der Bestellvorschlag verarbeitet"},"orderProposalSuppliers":{"type":"array","description":"Bestellvorschlag-Lieferanten-Beziehungen","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":["needsAssessmentPreference","supplierPreference"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeOrdered

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeOrdered":{"post":{"tags":["OrderProposals"],"operationId":"setProposalLinesToBeOrdered","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeNotOrdered

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/suppliers/{supplier-id}/setProposalLinesToBeNotOrdered":{"post":{"tags":["OrderProposals"],"operationId":"setProposalLinesToBeNotOrdered","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"supplier-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /erp/order-proposals/{id}/perform-create-orders

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/perform-create-orders":{"post":{"tags":["OrderProposals"],"operationId":"performCreateOrders","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/order-proposals/{id}/order-proposals

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposals":{"post":{"tags":["OrderProposals"],"operationId":"addOrderProposalLine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalLine"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposal"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalLine":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"orderProposalId":{"type":"string","description":"Bestellvorschlag","readOnly":true},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"proposedOrderAmount":{"type":"number","description":"vorgeschlagene zu bestellende Menge"},"toBeOrderedAmount":{"type":"number","description":"tatsächlich zu bestellende Menge"},"priceTotal":{"type":"number","description":"kalkulierter Gesamtpreis","readOnly":true},"productPrices":{"type":"array","description":"Lieferanten-Preise","items":{"$ref":"#/components/schemas/erp-product-ProductPrice"},"readOnly":true},"productDiscounts":{"type":"array","description":"Lieferanten-Preisregeln","items":{"$ref":"#/components/schemas/erp-product-ProductDiscount"},"readOnly":true},"determinedUnitPrice":{"type":"number","description":"ermittelter Einzelpreis","readOnly":true},"negotiatedUnitPrice":{"type":"number","description":"verhandelter Einzelpreis"},"totalPrice":{"type":"number","description":"Gesamtpreis","readOnly":true},"deliveryTime":{"type":"integer","format":"int32","description":"Lieferzeit","readOnly":true},"orderDocumentLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"toBeOrdered":{"type":"boolean"}},"required":["articleRef","proposedOrderAmount","supplierAccountRef","toBeOrderedAmount"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-product-ProductPrice":{"description":"Enthält einen Verkaufs- oder Einkaufspreis zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"netPrice":{"type":"number","description":"Netto-Preis"},"grossPrice":{"type":"number","description":"Brutto-Preis"},"priceBase":{"type":"string","description":"Preisbasis","enum":["NET_PRICE","GROSS_PRICE"]},"usedTaxRate":{"$ref":"#/components/schemas/erp-tax-TaxRate"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufspreis handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Preis gültig ist"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-tax-TaxRate":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"typeRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"active":{"type":"boolean","default":true,"description":"is this tax-rate active (selectable)","readOnly":true},"countryCode":{"type":"string","description":"the country code for this tax-rate"},"rate":{"type":"number","description":"the rate of this tax-rate"},"validFrom":{"type":"string","format":"date","description":"the date, this entry is valid from"}},"required":["countryCode","rate","typeRef","validFrom"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"common-masterdata-CurrencyReference":{"description":"Währung","properties":{"id":{"type":"integer","format":"int64","description":"ID der Währung"},"isoAlpha3":{"type":"string","description":"IsoAlpha3-Code der Währung"},"label":{"type":"string","description":"Bezeichnung der Währung","readOnly":true},"symbol":{"type":"string","description":"Symbol der Währung","readOnly":true}}},"erp-product-ProductDiscount":{"description":"Enthält eine Preisregel bzw. einen Verkaufs- oder Einkaufsrabatt zu einem Produkt","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"qualifier":{"type":"string","description":"Bestimmt, ob es sich um einen Verkaufs- oder Einkaufsrabatt handelt","enum":["SALES","PURCHASE"],"readOnly":true},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"accessoryMainArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"productGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"priceGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fromQuantity":{"type":"number","description":"Bestimmt ab welcher Menge dieser Rabatt gültig ist"},"modifierName":{"type":"string","description":"Name des Rabatts","maxLength":255,"minLength":0},"modifierType":{"type":"string","description":"Bestimmt die Art des Rabatts","enum":["DISCOUNT","SURCHARGE"]},"modifierValueType":{"type":"string","description":"Typ von Werten","enum":["PERCENT","FIX"]},"currencyRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"modifierValue":{"type":"number","description":"Wert des Rabatts"},"validFrom":{"type":"string","format":"date","description":"Gültig von"},"validUntil":{"type":"string","format":"date","description":"Gültig bis"},"specialOfferPrice":{"type":"boolean","default":false,"description":"Aktionpreis"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-stock-OrderProposal":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"purchaseOrderStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"givenSupplierAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"supplierPreference":{"type":"string","description":"Bevorzugte Lieferantenfindung","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Bevorzugte Bedarfsermittlung","enum":["REORDER_POINT","SALES"]},"recognizeStock":{"type":"boolean","default":false,"description":"Soll Lagerbestand zur Bestellmenge addiert werden"},"recognizeReservations":{"type":"boolean","default":false,"description":"Soll reservierter Lagerbestand zur Bestellmenge addiert werden"},"recognizeOrders":{"type":"boolean","default":false,"description":"Soll bestellter Lagerbestand von Bestellmenge abgezogen werden"},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Artikel mit Bedarfsermittlung nur auf Reservierungsbasis berücksichtigen"},"onlyPrePaymentReservations":{"type":"boolean","default":false,"description":"Nur Vorkasse-Reservierungen beachtet"},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Stichtag-Einschränkung für die Reservierungsberücksichtigung in Tagen"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung","readOnly":true},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","default":false,"description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"processed":{"type":"boolean","default":false,"description":"Wurde der Bestellvorschlag verarbeitet"},"orderProposalSuppliers":{"type":"array","description":"Bestellvorschlag-Lieferanten-Beziehungen","items":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":["needsAssessmentPreference","supplierPreference"]},"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]}}}}
```

## POST /erp/order-proposals/{id}/order-proposal-suppliers

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/{id}/order-proposal-suppliers":{"post":{"tags":["OrderProposals"],"operationId":"createOrderProposalSupplier","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalSupplier"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalSupplier":{"description":"Bestellvorschlag-Lieferanten-Beziehungen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"supplierId":{"type":"string","description":"ID des Lieferanten"},"priceRequestInsteadOfOrder":{"type":"boolean","description":"Soll eine Preisanfrage erstellt werden anstatt einer Bestellung"},"triggerMailOutputAfterDocumentCreation":{"type":"boolean","description":"Soll die erstellte Bestellung direkt per Mail versandt werden"},"createdDocument":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"toBeOrdered":{"type":"boolean"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]}}}}
```

## POST /erp/order-proposals/generate-background

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"OrderProposals","description":"Bestellvorschläge"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/order-proposals/generate-background":{"post":{"tags":["OrderProposals"],"operationId":"generateOrderProposalsInBackground","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-stock-OrderProposalGenerateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-stock-OrderProposalGenerateRequest":{"description":"Infos zur Erzeugung eines Bestellvorschlags","properties":{"generateTemplateId":{"type":"integer","format":"int64","description":"Template Vorlage"},"purchaseStorageId":{"type":"integer","format":"int64","description":"ID des Bestell-Lagers"},"supplierPreference":{"type":"string","description":"Lieferanten-Präferenz","enum":["CHEAPEST","FASTEST","SPECIFIC_SUPPLIER","MAIN_SUPPLIER","ALL"]},"needsAssessmentPreference":{"type":"string","description":"Art der Bedarfsermittlung","enum":["REORDER_POINT","SALES"]},"salesNeedsAssessmentBase":{"type":"string","description":"Grundlage für die SALES-Bedarfsermittlung","enum":["ORDERS","DELIVERIES"]},"averageMethod":{"type":"string","description":"Mittelwertverfahren für die SALES-Bedarfsermittlung","enum":["ARITHMETIC_MEAN","MEDIAN","WEIGHTED_MOVING_AVERAGE","TRIMMED_MEAN"]},"trimmingPercentage":{"type":"number","description":"Trim-Prozentsatz pro Seite, 0 bis < 50 (Pflichtfeld bei TRIMMED_MEAN)"},"recognizeReservations":{"type":"boolean","default":false,"description":"Reservierungen beachten für zu bestellende Menge"},"recognizeOrders":{"type":"boolean","default":false,"description":"Bestellungen beachten für zu bestellende Menge"},"recognizeStock":{"type":"boolean","default":false,"description":"Lagerbestand beachten für zu bestellende Menge"},"recognizeFabricationComponentBookings":{"type":"boolean","default":false,"description":"Material-Abgänge aus Produktion (netto) zusätzlich zum Sales-Verbrauch zählen (nur SALES)"},"numberOfDaysToOrderFor":{"type":"integer","format":"int32","description":"Anzahl Tage, für die bestellt werden soll"},"observationPeriodInLastDays":{"type":"integer","format":"int32","description":"Beobachtungszeitraum in Tagen rückwirkend ab heute (Alternative zu observationPeriods)"},"observationPeriods":{"type":"array","description":"Konkrete Beobachtungszeiträume (Alternative zu observationPeriodInLastDays)","items":{"$ref":"#/components/schemas/erp-stock-ObservationPeriod"}},"onlyPrePaymentReservations":{"type":"boolean","default":false,"description":"Nur Vorkasse-Reservierungen beachten"},"cutOffForOrderReservationRecognitionInDays":{"type":"integer","format":"int32","description":"Stichtag-Einschränkung für die Reservierungsberücksichtigung in Tagen"},"recognizeArticlesWithNeedsAssessmentOnlyOnReservationBasis":{"type":"boolean","default":false,"description":"Artikel mit Bedarfsermittlung nur auf Reservierungsbasis berücksichtigen"},"givenSupplierAccountId":{"type":"integer","format":"int64","description":"ID des Vorgabe-Lieferanten-Accounts"},"priceRequestInsteadOfOrder":{"type":"boolean","default":false,"description":"Anfrage statt Bestellung erzeugen"},"articlePresetId":{"type":"integer","format":"int64","description":"ID eines CUnit-Query-Presets zur Einschränkung der Artikel"},"productGroupIds":{"type":"array","description":"IDs der Warengruppen, auf die die Artikelauswahl eingeschränkt werden soll","items":{"type":"integer","format":"int64","description":"IDs der Warengruppen, auf die die Artikelauswahl eingeschränkt werden soll"}},"responsibleUserId":{"type":"integer","format":"int64","description":"ID des zuständigen Mitarbeiters, auf den die Artikelauswahl eingeschränkt werden soll"}},"required":["needsAssessmentPreference","purchaseStorageId","supplierPreference"]},"erp-stock-ObservationPeriod":{"description":"Beobachtungszeitraum (von/bis) für die Bedarfsermittlung über Abverkäufe","properties":{"startDate":{"type":"string","format":"date"},"endDate":{"type":"string","format":"date"}},"required":["endDate","startDate"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/orderproposals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
